# TODO: use gtk4-update-icon-cache

%define soup_api	%(pkg-config --variable=soupapiversion gweather4 2>/dev/null || echo 2.4)

Summary:	Clocks applications for GNOME
Summary(pl.UTF-8):	Aplikacje zegarów dla GNOME
Name:		gnome-clocks
Version:	48.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-clocks/48/%{name}-%{version}.tar.xz
# Source0-md5:	b01bde5766506ad23e5678217af1a1fb
Patch0:		%{name}-no-update.patch
URL:		https://apps.gnome.org/Clocks/
BuildRequires:	geoclue2-devel >= 2.4.0
%if "%{soup_api}" == "3.0"
BuildRequires:	geocode-glib2-devel >= 3.26
%else
BuildRequires:	geocode-glib-devel >= 1.0
%endif
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.72
BuildRequires:	gnome-desktop4-devel >= 42
BuildRequires:	gtk4-devel >= 4.15.3
BuildRequires:	libadwaita-devel >= 1.6
BuildRequires:	libgweather4-devel >= 4.0
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	python3 >= 1:3.2
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.24.0
BuildRequires:	vala-libadwaita >= 1.6
BuildRequires:	vala-libgweather4 >= 4.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.72
Requires(post,postun):	gtk-update-icon-cache
Requires:	geoclue2 >= 2.4.0
%if "%{soup_api}" == "3.0"
Requires:	geocode-glib2 >= 3.26
%else
Requires:	geocode-glib >= 1.0
%endif
Requires:	glib2 >= 1:2.72
Requires:	gnome-desktop4 >= 42
Requires:	gtk4 >= 4.15.3
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.6
Requires:	libgweather4 >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Clocks is a simple application to show the time, date and
alarms.

%description -l pl.UTF-8
GNOME Clocks to prosta aplikacja do wyświetlania czasu, daty i
alarmów.

%prep
%setup -q
%patch -P0 -p1

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS.md NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-clocks
%{_datadir}/dbus-1/services/org.gnome.clocks.service
%{_datadir}/glib-2.0/schemas/org.gnome.clocks.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.clocks.search-provider.ini
%{_datadir}/metainfo/org.gnome.clocks.metainfo.xml
%{_desktopdir}/org.gnome.clocks.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.clocks.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.clocks-symbolic.svg
%changelog
* Fri May 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-clocks.git;a=log;h=master

* Wed Apr 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 5c657ae
- updated to 48.0

* Wed Apr 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 46f1440
- use patch -P

* Fri Oct 04 2024 Jakub Bogusz <qboosh@pld-linux.org> 93476cf
- updated to 47.0

* Tue May 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 252a857
- updated to 46.0

* Sun Nov 26 2023 Jakub Bogusz <qboosh@pld-linux.org> b393381
- updated to 45.0

* Wed Jul 26 2023 Jakub Bogusz <qboosh@pld-linux.org> ad22f94
- updated to 44.0

* Thu May 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 61c7031
- updated to 43.0; require proper geocode-glib API depending on libgweather4 libsoup API version

* Thu Apr 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 0deb27e
- updated to 42.0
- added no-update patch (don't require gtk4-update-icon-cache at build time)

* Mon Oct 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 10348d4
- updated to 41.0

* Thu Apr 01 2021 Jakub Bogusz <qboosh@pld-linux.org> cf19689
- updated to 40.0

* Sun Sep 20 2020 Jakub Bogusz <qboosh@pld-linux.org> e0b1489
- updated to 3.38.0

* Sun May 10 2020 Jakub Bogusz <qboosh@pld-linux.org> eeced9c
- updated to 3.36.2

* Fri Apr 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 0cc36f0
- updated to 3.36.0

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 9310ab7
- rebuild with libffi 3.3
- release 2 (by relup.sh)

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> ff73930
- updated to 3.34.0

* Tue Mar 13 2018 Marcin Banasiak <marcin.banasiak@gmail.com> c494006
- Update to 3.28.0

* Tue Oct 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6298005
- Update to 3.26.1

* Wed Mar 22 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 1e85cef
- Update to 3.24.0

* Sat Jan 14 2017 Jakub Bogusz <qboosh@pld-linux.org> d8ed86b
- pl, completed dependencies, cleaned HighContrast icons remnants

* Fri Jan 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 4866ae0
- Update to 3.22.1

